from online.fxreader.pr34.commands_typed import crypto
import unittest


class TestCrypto(unittest.TestCase):
    def test_password_utils(self):
        salt = b'asdfasdfasdf'

        self.assertEqual(
            crypto.PasswordUtils.encrypt(
                'blah',
                mode='bytes',
                salt=salt,
            ),
            [
                salt,
                b'asdfasdf',
            ]
        )
